FROM node:16-alpine

# Set a working directory
WORKDIR /usr/src/app

COPY ./package.json .

RUN npm install --production

# To handle 'not get uid/gid'
RUN npm config set unsafe-perm true

RUN npm install pm2 -g